diff -ruN stunnel-4.54b8.orig/src/options.c stunnel-4.54b8/src/options.c
--- stunnel-4.54b8.orig/src/options.c	2012-08-19 21:53:42.000000000 +0200
+++ stunnel-4.54b8/src/options.c	2012-09-09 22:25:11.993780974 +0200
@@ -2130,6 +2130,15 @@
     {"TCP_MAXSEG",      IPPROTO_TCP, TCP_MAXSEG,      TYPE_INT,     {NULL, NULL, NULL}},
 #endif
     {"TCP_NODELAY",     IPPROTO_TCP, TCP_NODELAY,     TYPE_FLAG,    {NULL, DEF_ON, DEF_ON}},
+#ifdef IP_FREEBIND
+    {"IP_FREEBIND",     IPPROTO_IP,  IP_FREEBIND,     TYPE_FLAG,    {NULL, NULL, NULL}},
+#endif
+#ifdef IP_BINDANY
+    {"IP_BINDANY",      IPPROTO_IP,  IP_BINDANY,      TYPE_FLAG,    {NULL, NULL, NULL}},
+#endif
+#ifdef IPV6_BINDANY
+    {"IPV6_BINDANY",    IPPROTO_IPV6,IPV6_BINDANY,    TYPE_FLAG,    {NULL, NULL, NULL}},
+#endif
     {NULL,              0,           0,               TYPE_NONE,    {NULL, NULL, NULL}}
 };
 
